Bug 1294876 - Fix 32-bit MIPS assembly for FPXX
Fix 32-bit MIPS assembly for FPXX
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libjpeg-turbo (Show other bugs)
24
mips32 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Hracek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: MIPS
  Show dependency treegraph
 
Reported: 2015-12-30 14:35 EST by Michal Toman
Modified: 2016-07-26 05:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-26 05:50:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix-build-on-32-bit-MIPS-with-FPXX.patch (16.09 KB, patch)
2015-12-30 14:35 EST, Michal Toman
no flags Details | Diff

  None (edit)
Description Michal Toman 2015-12-30 14:35:35 EST
Created attachment 1110597 [details]
Fix-build-on-32-bit-MIPS-with-FPXX.patch

Description of problem:
We are trying to bring Fedora to MIPS platform and this requires fixing the 32-bit MIPS assembly for FPXX.

Actual results:
libjpeg-turbo fails to build on 32-bit MIPS with FPXX enabled

Expected results:
libjpeg-turbo builds and works on 32-bit MIPS with FPXX enabled

Additional info:
Attaching a dist-git patch.
Comment 1 Jan Kurik 2016-02-24 09:11:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Petr Hracek 2016-07-26 05:50:08 EDT
This bug is already included in libjpeg-turbo-1.5.0.
Rawhide and F24 contains this version.

See builds from koji:
F24 - http://koji.fedoraproject.org/koji/buildinfo?buildID=774439
rawhide - http://koji.fedoraproject.org/koji/buildinfo?buildID=774426

Note You need to log in before you can comment on or make changes to this bug.